Subject: [Sipping] Query on P-Asserted-ID in a 3xx for Calling Name

From: "Song, Youngsun" <[email-masked]>
Date: Thu, 4 May 2006 13:54:42 -0400

Hi all,
 
I have a query on how to perform CNAM feature using SIP.
 
Let's consider the following flow.
 
(1) UA1 sends an INVITE to SIP Server1.
 
(2) SIP Server1 authenticates the calling user (UA1), determines the
calling user's URI and wants to determine the name of the calling user.
 
(3) SIP Server1 forwards the INVITE to SIP Server2 which maintains the
CNAM information. The INVITE contains a P-Asserted-ID header with the
calling user's URI (without display name).
 
(4) SIP Server2 determines the name of the calling user and sends a 3xx
response to SIP Server1. Two options can be considered here: (4a) The
3xx response contains the modified P-Asserted-ID header with the calling
user's URI and display name; or (4b) The 3xx response contains the
Contact URI header parameters containing the modified P-Asserted-ID
header with the calling user's URI and display name. 
 
(5) Assuming SIP Server2 is a trusted entity, SIP Server1 knows that the
P-Asserted-ID has changed either by (4a) or (4b), and continues its
processing using the modified P-Asserted-ID. 
 
Would the above flow work? Is option (4a) or (4b) valid?
 
Per RFC3325, the P-Asserted-ID header can be included in any response to
INVITE, but it doesn't specify any expected behavior by the UAC that
receives the response.
 
I'd appreciate any comments.
Thanks,
YoungSun 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Thu, 4 May 2006 16:34:17 -0400

For 4a, would we expect the PAID to say something about the sender of
the message even when in a response.  If so, is it asserting something
about the redirect server rather than the called party?
 
For 4b, isn't the Contact information in the 3xx providing information
about the called party not calling party?
 
Mike

________________________________

	From: Song, Youngsun [mailto:[email-masked]] 
	Sent: Thursday, May 04, 2006 1:55 PM
	To: [email-masked]
	Subject: [Sipping] Query on P-Asserted-ID in a 3xx for Calling
Name

	Hi all,

	 
	 
	(2) SIP Server1 authenticates the calling user (UA1), determines
the calling user's URI and wants to determine the name of the calling
user.
	 
	(3) SIP Server1 forwards the INVITE to SIP Server2 which
maintains the CNAM information. The INVITE contains a P-Asserted-ID
header with the calling user's URI (without display name).
	 
	(4) SIP Server2 determines the name of the calling user and
sends a 3xx response to SIP Server1. Two options can be considered here:
(4a) The 3xx response contains the modified P-Asserted-ID header with
the calling user's URI and display name; or (4b) The 3xx response
contains the Contact URI header parameters containing the modified
P-Asserted-ID header with the calling user's URI and display name. 
	 
	(5) Assuming SIP Server2 is a trusted entity, SIP Server1 knows
that the P-Asserted-ID has changed either by (4a) or (4b), and continues
its processing using the modified P-Asserted-ID. 

	Per RFC3325, the P-Asserted-ID header can be included in any
response to INVITE, but it doesn't specify any expected behavior by the
UAC that receives the response.